"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const Vue = require("vue");
const types = require("../../utils/types.js");
const r = Vue.ref(0), a = 2e3, l = Symbol("zIndexContextKey"), f = (x) => {
  const c = Vue.getCurrentInstance() ? Vue.inject(l, void 0) : void 0, e = Vue.computed(() => {
    const t = Vue.unref(c);
    return types.isNumber(t) ? t : a;
  }), n = Vue.computed(() => e.value + r.value);
  return {
    initialZIndex: e,
    currentZIndex: n,
    nextZIndex: () => (r.value++, n.value)
  };
};
exports.defaultInitialZIndex = a;
exports.useZIndex = f;
exports.zIndexContextKey = l;
